#include <iostream>
#include <vector>

using namespace std;

bool sortiran(int i,int r,vector<int>a)
{
    i--;
    r--;
    bool c;
    vector<int>b;
    int x;
    for(int j=i;j<=r;j++)
    {
        b.push_back(a[j]);
    }
    for(int j=0;j<b.size();j++)
    {
        if(b[j]>b[j+1])
        {
            b.erase(b.begin()+j);
            break;
        }
    }
    for(int j=0;j<b.size();j++)
    {
        if(b[j]<=b[j+1])
        {
            c = true;
        }
        else
        {
            c=false;
            break;
        }
    }
    return c;
}

int main()
{
    //ios_base::sync_with_stdio(false);
    //cin.tie(NULL);
    //cout<<'\n';
    int n,q;
    cin>>n;
    vector <int> a;
    int x;
    for(int i=0;i<n;i++)
    {
        cin>>x;
        a.push_back(x);
    }
    cin>>q;
    int i,r;
    vector<string>res;
    for(int j=0;j<q;j++)
    {
        cin>>i>>r;
        if(sortiran(i,r,a)==true)
            res.push_back("DA");
        else
            res.push_back("NE");
    }
    for(int j=0;j<q;j++)
        cout<<res[j]<<'\n';
}